<!--
  Generated template for the PreferencesPage page.

  See http://ionicframework.com/docs/components/#navigation for more info on
  Ionic pages and navigation.
-->
<ion-header>
  <ion-navbar>
    <ion-title>Edit Preferences</ion-title>
  </ion-navbar>
</ion-header>

<ion-content padding>

	<div class="text-center pad-all-10 form">

    	<h2 ion-text-center class="text-theme">Your Preferences</h2>

    	<form [formGroup]="preferenceForm">
	    	<ion-item *ngFor="let p of preferences">
	    		<ion-select [formControl]="preferenceForm.controls[p.preference.category]">
	    			<div *ngFor="let option of options">
	    				<ion-label>{{p.preference.title}}</ion-label>
	    				<ion-option  [value]="option.description" *ngIf="option.category == p.preference.category" >
	    				{{option.description}}</ion-option>
	    			</div>
	    		</ion-select>
	    	</ion-item>
    	</form>

    	<button ion-button block color="primary" (click)="updatePreferences()" class="btn rounded">
	        Update Preferences
	    </button>
    </div>

</ion-content>
